part of 'profile_bloc.dart';

@freezed
class ProfileEvent with _$ProfileEvent {
  const factory ProfileEvent.started() = _Started;
   const factory ProfileEvent.getProfile() = _GetProfile;
  const factory ProfileEvent.updateProfile({
    required String name,
    required String email,
    required String phone,
    File? foto,
  }) = _UpdateProfile;
}